<template>
  <div :style="{backgroundImage:'url('+headerUrl+')'}" class="app-header">
    <h3>{{ title }}</h3>
    <el-dropdown class="avatar-container" trigger="click">
      <div class="avatar-wrapper">
        <span style="line-height:50px;">欢迎您，{{ name }}</span>
        <!--<img :src="avatar+'?imageView2/1/w/80/h/80'" class="user-avatar">-->
        <i class="el-icon-caret-bottom"/>
      </div>
      <el-dropdown-menu slot="dropdown" class="user-dropdown">
        <!--<router-link class="inlineBlock" to="/">-->
        <!--<el-dropdown-item>-->
        <!--主页-->
        <!--</el-dropdown-item>-->
        <!--</router-link>-->
        <el-dropdown-item>
          <span style="display:block;" @click="resetPwd">修改密码</span>
        </el-dropdown-item>
        <el-dropdown-item divided>
          <span style="display:block;" @click="logout">注销</span>
        </el-dropdown-item>
      </el-dropdown-menu>
    </el-dropdown>
    <reset-pwd v-show="showSetPwd" ref="retPwd"/>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import ResetPwd from '../../system/user/resetPwd'
import { getProject } from '@/utils/baseConfig'

export default {
  name: 'AppHeader',
  components: { ResetPwd },
  data() {
    return {
      title: getProject().title,
      name: this.$store.getters.name,
      showSetPwd: false,
      headerUrl: require('../../../assets/global_images/header.png')// 头部图片
    }
  },
  computed: {
    ...mapGetters([
      'sidebar',
      'avatar'
    ])
  },
  methods: {
    toggleSideBar() {
      this.$store.dispatch('ToggleSideBar')
    },
    logout() {
      if (this.$root.ws !== null) {
        this.$root.ws.close()
        this.$root.ws = null
      }
      this.$store.dispatch('LogOut').then(() => {
        location.reload() // 为了重新实例化vue-router对象 避免bug
      })
    },
    resetPwd() {
      this.showSetPwd = true
      this.$refs.retPwd.initDialog(true)
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .app-header{
    height:60px;
    background-color:#000000;
    background-repeat: no-repeat;
    -webkit-background-size: 100% 100%;
    background-size: 100% 100%;
    color:white;
  }
  h3{
    margin-left:40px;
    display: inline-block;
    float:left;
  }
  .avatar-container {
    height: 50px;
    display: inline-block;
    float: right;
    z-index:500;
    position: fixed;
    top:5px;
    right: 35px;
    .avatar-wrapper {
      color:#d3dce6;
      cursor: pointer;
      margin-top: 5px;
      position: relative;
      line-height: initial;
      .user-avatar {
        width: 40px;
        height: 40px;
        border-radius: 10px;
      }
      .el-icon-caret-bottom {
        font-size: 12px;
      }
    }
  }
</style>
